Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("58B3B134-1447-4729-81EE-B1D9A63D6CB5")]
   public abstract class AggregateCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     [StorableConstructor]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("E703275A-0F64-47D1-AE9D-6875076E0EA7")]
   [ViewableCommandInfoAttribute("Maximum", 1, ColumnGroupState.DoubleColumnSelected | ColumnGroupState.AnySelectedColumnNotSorted
     , "Aggregation", Position = 4, OptionsView = typeof(AggregationCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("CD91F6D9-D301-4DE1-8EAE-168B9EB9D462")]
   [ViewableCommandInfoAttribute("Mean", 1, ColumnGroupState.DoubleColumnSelected | ColumnGroupState.AnySelectedColumnNotSorted,
     "Aggregation", Position = 0, OptionsView = typeof(AggregationCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("45AD29AA-8DF3-4E01-B754-2984BA4174E6")]
   [ViewableCommandInfoAttribute("Median", 1, ColumnGroupState.DoubleColumnSelected | ColumnGroupState.AnySelectedColumnNotSorted,
    "Aggregation", Position = 1, OptionsView = typeof(AggregationCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("91A0FDBD-841F-417E-BF6A-30760E351114")]
   [ViewableCommandInfoAttribute("Minimum", 1, ColumnGroupState.DoubleColumnSelected | ColumnGroupState.AnySelectedColumnNotSorted,
    "Aggregation", Position = 3, OptionsView = typeof(AggregationCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("94172982-1F24-493B-A2F2-335D55847AA5")]
   [ViewableCommandInfoAttribute("Sum", 1, ColumnGroupState.DoubleColumnSelected | ColumnGroupState.AnySelectedColumnNotSorted,
    "Aggregation", Position = 2, OptionsView = typeof(AggregationCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("D5B50465-DB77-4CDE-9043-6968A841BF1C")]
   [ViewableCommandInfoAttribute("Delete Rows", 1, ColumnGroupState.Sorted, "Aggregation", Position = 5)]
   public class DeleteRowsWithDuplicateKeyValuesCommand : ColumnGroupCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs	(revision 16566)
@@ -25,7 +25,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("4CDBC88C-783D-49A6-9E80-4833FE5374FA")]
   public abstract class AddNewColumnCommandBase : ColumnGroupCommandBase {
     [StorableConstructor]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs	(revision 16566)
@@ -28,7 +28,8 @@
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("C1B16D51-0F7A-4FEA-B7E4-7C30EF290EFC")]
   [ViewableCommandInfoAttribute("New DateTimeColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 9)]
   public class AddNewDateTimeColumnCommand : AddNewColumnCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("D20943C1-1B82-458F-9DCA-EE18BECD751E")]
   [ViewableCommandInfoAttribute("New DoubleColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 7)]
   public class AddNewDoubleColumnCommand : AddNewColumnCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("62438177-F416-48D6-A1F3-54E48FFAD130")]
   [ViewableCommandInfoAttribute("New ProgrammableColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 10,
   OptionsView = typeof(ProgrammableColumnCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("BA39D41A-B88E-4BBC-AFB4-89B94694556A")]
   [ViewableCommandInfoAttribute("New StringColumn", 1, ColumnGroupState.Active, "Column Commands", Position = 8)]
   public class AddNewStringColumnCommand : AddNewColumnCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("A67CC5A7-4C36-418A-BC86-59DA37E38531")]
   public abstract class ChangeColumnCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     [Storable]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("518098B9-5EE1-424B-9429-FEE332048D0C")]
   [ViewableCommandInfoAttribute("Change to DateTimeColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 13)]
   public class ChangeColumnToDateTimeColumnCommand : ChangeColumnCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("D9459202-03DD-4FE9-98BB-2BC990A0D14C")]
   [ViewableCommandInfoAttribute("Change to DoubleColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 11)]
   public class ChangeColumnToDoubleColumnCommand : ChangeColumnCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("75470583-1EF6-4F8D-8765-AF18585C02CE")]
   [ViewableCommandInfoAttribute("Change to StringColumn", 1, ColumnGroupState.ColumnSelected, "Column Commands", Position = 12)]
   public class ChangeColumnToStringColumnCommand : ChangeColumnCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("421841E2-B771-4A53-AEE2-6D8A4B68542D")]
   [ViewableCommandInfo("Create time series columns", 1, ColumnGroupState.DoubleColumnSelected, "Column Commands",
     Position = 16, SelectedColumns = 4)]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("761D175C-8E2B-4F07-946C-95400CC41947")]
   [ViewableCommandInfo("Split categorial column", 1, ColumnGroupState.ColumnSelected, "Column Commands",
     Position = 16, SelectedColumns = 1)]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("296E9F12-31EC-42F2-9745-B164A5FCE302")]
   [ViewableCommandInfo("Split Dictionary-style Data", 1, ColumnGroupState.ColumnSelected | ColumnGroupState.Sorted, "Column Commands",
     Position = 15)]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs	(revision 16566)
@@ -29,8 +29,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("BAE4C6C2-980A-45CB-B172-BAEF880A66A6")]
   [ViewableCommandInfoAttribute("New ColumnGroup", 0, ColumnGroupState.None, "ColumnGroup Commands", Position = 0)]
   public class AddNewColumnGroupCommand : DataSetCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs	(revision 16566)
@@ -28,7 +28,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("05117E5A-512A-4891-9449-7FA7E5597EBD")]
   [ViewableCommandInfo("Align ColumnGroups", 2, ColumnGroupState.Sorted, "ColumnGroup Commands", Position = 4)]
   public class AlignColumnGroupsCommand : DataSetCommandWithAffectedColumnGroupsBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs	(revision 16566)
@@ -25,7 +25,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("1000AC8E-0122-402A-93AE-2254D5E83832")]
   [ViewableCommandInfoAttribute("Delete ColumnGroup", 1, ColumnGroupState.Active, "ColumnGroup Commands", Position = 1, MinActiveColumnGroups = 1)]
   public class DeleteColumnGroupCommand : DataSetCommandWithAffectedColumnGroupsBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("9E410556-FC8C-4731-9E5E-46A82F33BB38")]
   [ViewableCommandInfo("Merge ColumnGroups", 2, ColumnGroupState.Active, "ColumnGroup Commands", Position = 5, MinActiveColumnGroups = 2)]
   public class MergeColumnGroupsCommand : DataSetCommandWithAffectedColumnGroupsBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs	(revision 16566)
@@ -26,8 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("65E27E68-243A-4F1E-8DA0-DF53CAD75A8B")]
   [ViewableCommandInfoAttribute("Move ColumnGroup left", 1, ColumnGroupState.Active, "ColumnGroup Commands", Position = 2)]
   public class MoveColumnGroupLeftCommand : DataSetCommandWithAffectedColumnGroupsBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs	(revision 16566)
@@ -26,8 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("E265CF35-EDBD-4FFB-B7A0-462C91D7C6A8")]
   [ViewableCommandInfoAttribute("Move ColumnGroup right", 1, ColumnGroupState.Active, "ColumnGroup Commands", Position = 3)]
   public class MoveColumnGroupRightCommand : DataSetCommandWithAffectedColumnGroupsBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("C619464C-C98C-4A14-92BF-C318041390E6")]
   [ViewableCommandInfo("Split ColumnGroup", 1, ColumnGroupState.ColumnSelected, "ColumnGroup Commands", Position = 6, SelectedColumns = 2)]
   public class SplitColumnGroupsCommand : ColumnGroupCommandWithAffectedColumnsBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("0FD1FF55-7862-4D3E-A6E3-29E93E883781")]
   [ViewableCommandInfoAttribute("Box-Cox Transformation", 1, ColumnGroupState.DoubleColumnSelected, "Change Values",
   Position = 6, OptionsView = typeof(BoxCoxTransformationCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs	(revision 16566)
@@ -29,7 +29,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("051BA6B5-AE08-4DF3-A201-A708C563DAE0")]
   [ViewableCommandInfoAttribute("Search and Remove Rows", 1, ColumnGroupState.ColumnSelected, "Change Values",
     Position = 1, OptionsView = typeof(SearchWithMatchOperationCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs	(revision 16566)
@@ -23,7 +23,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("FFC99285-3B91-4246-BFA3-5C4422C9FD7F")]
   public abstract class FilterCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     [StorableConstructor]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("1AF80A5F-F102-4E74-B550-ABFE9C4E17EB")]
   [ViewableCommandInfoAttribute("Moving Average", 1, ColumnGroupState.DoubleColumnSelected, "Change Values", Position = 2,
     OptionsView = typeof(FilterCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("B1E2D0F2-A927-4D6E-952E-8CF349E0CB6E")]
   [ViewableCommandInfoAttribute("Moving Median", 1, ColumnGroupState.DoubleColumnSelected, "Change Values", Position = 3,
    OptionsView = typeof(FilterCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs	(revision 16566)
@@ -28,7 +28,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("28A12839-2A01-45BB-836F-05A2E71BF672")]
   [ViewableCommandInfoAttribute("Savitzky Golay", 1, ColumnGroupState.DoubleColumnSelected, "Change Values", Position = 2,
     OptionsView = typeof(FilterSavitzkyGolayCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs	(revision 16566)
@@ -25,7 +25,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("424BD4DD-1055-4DFF-96B3-69FF9846BB0D")]
   [ViewableCommandInfoAttribute("Linear Transformation", 1, ColumnGroupState.DoubleColumnSelected, "Change Values",
   Position = 6, OptionsView = typeof(LinearTransformationCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("44C1FF7C-84EA-4BBA-B8AE-17D8D1B5DC17")]
   [ViewableCommandInfoAttribute("Scale to normal distribution", 1, ColumnGroupState.DoubleColumnSelected, "Change Values",
    Position = 5, OptionsView = typeof(NormalDistributionCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("EE8DF207-4544-486C-99EF-503CE0A09B0A")]
   [ViewableCommandInfoAttribute("Percental Change", 1, ColumnGroupState.DoubleColumnSelected, "Change Values", Position = 3)]
   public class PercentalChangeCommand : ColumnGroupCommandWithAffectedColumnsBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("3B0EE67E-6801-4029-92F1-AF41C5A2E521")]
   [ViewableCommandInfoAttribute("Scaling between Min/Max", 1, ColumnGroupState.DoubleColumnSelected, "Change Values",
  Position = 4, OptionsView = typeof(MinMaxCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs	(revision 16566)
@@ -29,7 +29,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("4C4A7701-D4BF-4E3E-9829-E9659A00AC6E")]
   [ViewableCommandInfoAttribute("Search and Replace", 1, ColumnGroupState.ColumnSelected, "Change Values",
   Position = 0, OptionsView = typeof(SearchAndReplaceCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs	(revision 16566)
@@ -23,7 +23,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("845CC06D-15A6-43ED-A308-B49BBE909295")]
   public abstract class SearchCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     [StorableConstructor]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs	(revision 16566)
@@ -26,4 +26,5 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
@@ -35,5 +36,5 @@
   }
 
-  [StorableClass]
+  [StorableType("8207BA3B-BA78-454C-93B2-03E687CB8662")]
   public abstract class SearchWithMatchOperationCommandBase : SearchCommandBase {
     [StorableConstructor]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/HeuristicLab.DataImporter.Command.csproj
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/HeuristicLab.DataImporter.Command.csproj	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/HeuristicLab.DataImporter.Command.csproj	(revision 16566)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.DataImporter.Command</RootNamespace>
     <AssemblyName>HeuristicLab.DataImporter.Command-1.0</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -102,4 +102,10 @@
       <Private>False</Private>
     </Reference>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Persistence-3.3">
       <HintPath>..\..\..\trunk\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
@@ -115,4 +121,7 @@
     </Reference>
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Windows.Forms.DataVisualization" />
@@ -274,4 +283,5 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+    <None Include="packages.config" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
   </ItemGroup>
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs	(revision 16566)
@@ -25,7 +25,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("EBD5BEAE-D8B0-42BB-B153-BFF2A58CA169")]
   [ViewableCommandInfoAttribute("Delete Columns beneath Threshold", 1, ColumnGroupState.AnySelectedColumnContainsNull,
     "Handle Missing Values", Position = 6, OptionsView = typeof(DeleteWithThresholdView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("1E214476-7156-42A0-A67D-DD5944F6D6AA")]
   [ViewableCommandInfoAttribute("Delete Rows", 1, ColumnGroupState.AnySelectedColumnContainsNull,
     "Handle Missing Values", Position = 4)]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs	(revision 16566)
@@ -28,7 +28,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("DD29CB5F-0878-4CEC-B8C2-F2E7AA357210")]
   [ViewableCommandInfoAttribute("Delete Rows beneath Threshold", 1, ColumnGroupState.Active,
     "Handle Missing Values", Position = 5, OptionsView = typeof(DeleteWithThresholdView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs	(revision 16566)
@@ -25,7 +25,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("74B80925-CEA4-4223-92C1-1542F0418F12")]
   public abstract class FillMissingValueCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     protected Dictionary<int, List<int>> nullValues;
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("FAA97EE8-F435-4DA0-8334-0F9F98C63A55")]
   [ViewableCommandInfoAttribute("Linear Interpolation", 1, ColumnGroupState.DoubleColumnSelected | ColumnGroupState.AnySelectedColumnContainsNull,
     "Handle Missing Values", Position = 2)]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("87E0EA6E-EC45-492B-8F4B-B15B25A467E9")]
   [ViewableCommandInfoAttribute("Mean", 1, ColumnGroupState.DoubleColumnSelected | ColumnGroupState.AnySelectedColumnContainsNull,
     "Handle Missing Values", Position = 0)]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs	(revision 16566)
@@ -27,7 +27,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("88285490-AE6E-4A45-9CAC-C4731D43D0D9")]
   [ViewableCommandInfoAttribute("Median", 1, ColumnGroupState.DoubleColumnSelected | ColumnGroupState.AnySelectedColumnContainsNull,
     "Handle Missing Values", Position = 1)]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs	(revision 16566)
@@ -28,7 +28,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("44A149E1-5516-47E1-8AF7-56231997716B")]
   [ViewableCommandInfoAttribute("Previous Value", 1, ColumnGroupState.AnySelectedColumnContainsNull, "Handle Missing Values", Position = 3)]
   public class FillMissingValuesWithPreviousValuesCommand : FillMissingValueCommandBase {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs	(revision 16566)
@@ -29,7 +29,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("F5336C3B-3975-4A36-B3AA-5867C9E18BE3")]
   [ViewableCommandInfoAttribute("Change DateTimeColumn to DoubleColumn", 1, ColumnGroupState.DateTimeColumnSelected, "Time Series",
 Position = 5, OptionsView = typeof(ChangeDateTimeCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs	(revision 16566)
@@ -29,7 +29,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("6849AAF1-2FD7-4755-84A6-DEDF44BDC97C")]
   [ViewableCommandInfoAttribute("Delete not equidistant rows", 1, ColumnGroupState.Sorted, "Time Series",
 Position = 1, OptionsView = typeof(TimeBasedCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs	(revision 16566)
@@ -29,7 +29,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("68DF5755-DE5B-4DED-A73C-D234F503A428")]
   [ViewableCommandInfoAttribute("Equidistant Sampling", 1, ColumnGroupState.Sorted, "Time Series",
 Position = 0, OptionsView = typeof(TimeBasedCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs	(revision 16566)
@@ -25,7 +25,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("6D4E044B-59A0-4FD2-B588-B97EF423E8AB")]
   public abstract class EquidistantTimeSeriesCommandBase : ColumnGroupCommandBase {
     [StorableConstructor]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs	(revision 16566)
@@ -28,8 +28,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("3975A950-D715-48C8-91FB-C982DA6887CA")]
   [ViewableCommandInfoAttribute("Interpolate Missing Values", 1, ColumnGroupState.Sorted | ColumnGroupState.DoubleColumnSelected, "Time Series",
 Position = 2)]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs	(revision 16566)
@@ -29,7 +29,8 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Command {
-  [StorableClass]
+  [StorableType("93774205-CCAE-425D-97C2-74A00CEBC5CC")]
   [ViewableCommandInfoAttribute("Set Part of DateTime", 1, ColumnGroupState.DateTimeColumnSelected, "Time Series",
 Position = 2, SelectedColumns = 1, OptionsView = typeof(TimeBasedWithoutOffsetCommandView))]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/packages.config
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/packages.config	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/packages.config	(revision 16566)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
